//---------------------------------------------------------------------------
/**
 *  @file ACEAppExpert.h
 *
 *  $Id: ACEAppExpert.h,v 1.2 2001/05/18 11:07:00 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the expert used to create an ACE project.
 */
//---------------------------------------------------------------------------
#ifndef ACEAppExpertH
#define ACEAppExpertH
//---------------------------------------------------------------------------
#include "ExpertBase.h"
//---------------------------------------------------------------------------
class __declspec(delphiclass) TACEAppExpert: public TExpertBase
{
public:
  virtual String __stdcall GetName();
  virtual String __stdcall GetComment();
  virtual HICON __stdcall GetGlyph();
  virtual TExpertStyle __stdcall GetStyle();
  virtual TExpertState __stdcall GetState();
  virtual String __stdcall GetIDString();
  virtual void __stdcall Execute();
};
//---------------------------------------------------------------------------
#endif
