//---------------------------------------------------------------------------
/**
 *  @file SimpleClassDlg.cpp
 *
 *  $Id: SimpleClassDlg.cpp,v 1.2 2001/05/18 11:07:01 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the dialog used by all the simple class generation
 *  experts.
 */
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
#include "SimpleClassDlg.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TSimpleClassDialog *SimpleClassDialog;
//---------------------------------------------------------------------------
__fastcall TSimpleClassDialog::TSimpleClassDialog(TComponent* Owner)
  : TForm(Owner)
{
}
//---------------------------------------------------------------------------
bool __fastcall TSimpleClassDialog::Execute()
{
  ShowModal();
  return ModalResult == mrOk;
}
//---------------------------------------------------------------------------
String __fastcall TSimpleClassDialog::GetClassName()
{
  return ClassNameEdit->Text;
}
//---------------------------------------------------------------------------
void __fastcall TSimpleClassDialog::SetClassName(String value)
{
  ClassNameEdit->Text = value;
}
//---------------------------------------------------------------------------
