//---------------------------------------------------------------------------
/**
 *  @file AppDlg.h
 *
 *  $Id: AppDlg.h,v 1.3 2001/05/18 11:07:00 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the dialog used as the base class for the ACE and
 *  TAO project experts.
 */
//---------------------------------------------------------------------------
#ifndef AppDlgH
#define AppDlgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <CheckLst.hpp>
//---------------------------------------------------------------------------
class TAppDialog : public TForm
{
__published:	// IDE-managed Components
  TButton *OKButton;
  TGroupBox *GroupBox1;
  TRadioButton *Console;
  TRadioButton *WindowsAPI;
  TCheckBox *UseVCL;
  TGroupBox *GroupBox2;
  TRadioButton *Dynamic;
  TRadioButton *Static;
  TGroupBox *GroupBox3;
  TEdit *ACELocation;
  TButton *CancelButton;
  TRadioButton *VCL;
  TButton *SelectDirectoryButton;
  TGroupBox *GroupBox5;
  TCheckBox *UsePCH;
  TEdit *PCHCsmFile;
  TLabel *Label1;
  TCheckBox *DebugLibs;
  TGroupBox *GroupBox6;
  TCheckListBox *CORBALibs;
  TComboBox *LocationType;
  TLabel *Label2;
  void __fastcall AppTypeRadioClick(TObject *Sender);
  void __fastcall OKButtonClick(TObject *Sender);
  void __fastcall SelectDirectoryButtonClick(TObject *Sender);
  void __fastcall UsePCHClick(TObject *Sender);
private:	// User declarations
  String FPrefix;
public:		// User declarations
  __fastcall TAppDialog(TComponent* Owner, String prefix);
};
//---------------------------------------------------------------------------
extern PACKAGE TAppDialog *AppDialog;
//---------------------------------------------------------------------------
#endif
