//---------------------------------------------------------------------------
/**
 *  @file SimpleClassDlg.h
 *
 *  $Id: SimpleClassDlg.h,v 1.2 2001/05/18 11:07:01 chris Exp $
 *
 *  @author Christopher Kohlhoff <chris@kohlhoff.com>
 *
 *  This file contains the dialog used by all the simple class generation
 *  experts.
 */
//---------------------------------------------------------------------------
#ifndef SimpleClassDlgH
#define SimpleClassDlgH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TSimpleClassDialog : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TLabel *Label1;
  TEdit *ClassNameEdit;
  TButton *CancelButton;
  TButton *OKButton;
private:	// User declarations
  String __fastcall GetClassName();
  void __fastcall SetClassName(String value);
public:		// User declarations
  __fastcall TSimpleClassDialog(TComponent* Owner);
  bool __fastcall Execute();
  __property String ClassName = {read=GetClassName, write=SetClassName};
};
//---------------------------------------------------------------------------
extern PACKAGE TSimpleClassDialog *SimpleClassDialog;
//---------------------------------------------------------------------------
#endif
